=head1 NAME


XXV::MODULES::GRAB



=head1 SYNOPSIS

  
  use XXV::MODULES::GRAB
  my  = XXV::MODULES::GRAB->new(
    -config => $Config,
    -dbh    => $DBH,
    -realbin=> $RealBin,
  );



=head1 VERSION

0.01 - 06.09.2004

=head1 DESCRIPTION

Dieses Modul holt einen Screenshot von der DVB Karte per SVDRP

=head1 CONFIGURATION

=over 4



=item 1 file

Pfad an dem die Datei des Screenshots gespeichert wird.

=over 4

=item * default: /tmp/live.jpg

=item * type: file

=item * required: No

=back



=item 2 font

TrueType Zeichensatz für Overlaytext.

=over 4

=item * default: VeraIt.ttf

=item * type: list

=item * required: No

=back



=item 3 imgfontsize

Zeichengröße für Overlaytext (nur für TTF Font!).

=over 4

=item * default: 10

=item * type: integer

=item * required: No

=back



=item 4 imgquality

Qualität des Bildes in Prozent.

=over 4

=item * default: 80

=item * type: integer

=item * required: No

=back



=item 5 imgtext

Im Screenshots anzuzeigender Text.

=over 4

=item * default: [?- i = channel.split(' ') -?][[? i.shift ?]] [? i.join(' ') ?]

=item * type: string

=item * required: No

=back



=item 6 vpos

Vertikalen Position des anzuzeigen Text, in Pixeln.

=over 4

=item * default: 10

=item * type: integer

=item * required: No

=back



=item 7 xsize

Bildbreite

=over 4

=item * default: 320

=item * type: integer

=item * required: Yes

=back



=item 8 ysize

Bildhöhe

=over 4

=item * default: 240

=item * type: integer

=item * required: Yes

=back



=back

=head1 COMMANDS

=over 4



=item *  gdisplay (gd)

Zeige den Screenshot an



=item *  grab (gr)

Hole den Screenshot



=back

=head1 REQUIREMENTS

=over 4



=item *  GD

image manipulation routines



=item *  Template

Front-end module to the Template Toolkit 



=back

=head1 SEE ALSO

XXV

=head1 AUTHOR

Copyright (C) 2004, xpix. All rights reserved.

=cut
